#import "TunerHotkey.h"
#import "DummyClass.h"
#import "DirectController.h"

@implementation TunerHotkey

-(id)init{
    [super initWithNum:TUNER_HOTKEY_NUM];
    
    _hotkeyMethod[0]=@selector(automono);
    _hotkeyMethod[1]=@selector(pcallup);
    _hotkeyMethod[2]=@selector(pcalldown);
    
    return self;
}

-(void)awakeFromNib{
    _fld[0]=_fld0;
    _fld[1]=_fld1;
    _fld[2]=_fld2;
}

-(void)automono{
    [_directCtrl band:[DummyClass dummyWithTag:autoM]];
}

-(void)pcallup{
    [_directCtrl band:[DummyClass dummyWithTag:upM]];
}

-(void)pcalldown{
    [_directCtrl band:[DummyClass dummyWithTag:downM]];
}


@end
